Download it now!
Bug 55583 - FILESAVE: Footnoted .odt corrupted by LibreOffice
Summary: FILESAVE: Footnoted .odt corrupted by LibreOffice
Status: RESOLVED NOTOURBUG
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.1.2 release
Hardware: All All
: high normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-03 15:17 UTC by Doug
Modified: 2013-06-26 10:58 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
.odt file created by LibreOffice generates corruption warning in Word (10.62 KB, application/vnd.oasis.opendocument.text)
2012-10-03 15:22 UTC, Doug
Details
.odt file "fixed" by Word (7.10 KB, application/vnd.oasis.opendocument.text)
2012-10-03 15:25 UTC, Doug
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Doug 2012-10-03 15:17:07 UTC

    
Comment 1 Doug 2012-10-03 15:22:31 UTC
Created attachment 68043 [details]
.odt file created by LibreOffice generates corruption warning in Word

File created as follows:  started with Word-generated .docx containing footnote.  Opened file in LibreOffice, moved footnote.  Saved as .odt.  Opened in Word later, file gives corruption warning although Word will if you say to correct problem.
Comment 2 Doug 2012-10-03 15:25:40 UTC
Created attachment 68044 [details]
.odt file "fixed" by Word

This is the same file as earlier, except this is the result after Word "fixes" the corruption that was spawned by LibreOffice.
Comment 3 Doug 2012-10-03 15:33:34 UTC
This is an interoperability problem between LibreOffice and Word.  Widespread; this is just one iteration.  I frequently have problems with .odt files created by LibreOffice causing Windows (file explorer -- yes, not even opening them) and Word to hang or generate warnings.

In this instance, I created a Word .docx with a footnote.  Then I opened in LibreOffice and moved the footnote, then saving in .odt format.  Word 2007 warned that the resulting .odt file was "corrupt" and wanted to know if I "trusted" the sender, after which it opened the file fixing the "corruption."

The two iterations of the .odt file are attached.

As a practical matter, need some reliable format to share with Office machines.  Bugs like this make interoperability tough.  These files were created on Windows XP machine.  Also occurred on OpenSuse 12.2 machine.
Comment 4 sasha.libreoffice 2012-11-15 05:46:47 UTC
Thanks for bugreport
site http://opendocumentfellowship.com/validator tells about attached odt that there is not enough of useful information. But I can not understand, what exactly is wrong. I can not find another online validator.
Comment 5 Timur 2013-05-03 09:59:36 UTC
Tested with libreoffice-4-0~2013-05-03_05.06.45_LibO-Dev_4.0.4.0_Win_x86.
We can either: 
- create .docx with footnote in Word; open file in LibreOffice; save as .odt.; open .odt in Word;
- create .odt with footnote in LibreOffice; open .odt in Word;
ODT file gives corruption warning although Word will if you say to correct problem. What's not clear is who's the culprit: LO when saving footnotes or MS when importing ODF.
Problem here is obvious, so it should be either NEW or NOTOURBUG.
Comment 6 Timur 2013-05-28 10:09:19 UTC
This is an annoying and visible bug, quite appropriate for MAB if LO problem.
 
According to http://www.libreoffice.org/download/4-0-new-features-and-fixes/ I was free to put Mr. Miklós Vajna in CC - please remove if not relevant.
Comment 7 Joel Madero 2013-06-26 04:13:00 UTC
This is not our bug, Windows says they support open standards but they really only support the older open standards, not the later ones so you'll get these errors often if you save as odt. I'm not sure if Office 2013 supports the latest open standards but I'd suggest if they don't pushing MS to do so - the standards are all visible and easy to implement support, they just have to do it.
Comment 8 Timur 2013-06-26 09:26:49 UTC
(In reply to comment #5)
> Tested with libreoffice-4-0~2013-05-03_05.06.45_LibO-Dev_4.0.4.0_Win_x86.
> We can either: 
> - create .docx with footnote in Word; open file in LibreOffice; save as
> .odt.; open .odt in Word 2007/2010;
> - create .odt with footnote in LibreOffice; open .odt in Word 2007/2010;
> ODT file gives corruption warning although Word will open it if you agree to correct problem. What's not clear is who's the culprit: LO when saving footnotes or MS when importing ODF.
> Problem here is obvious, so it should be either NEW or NOTOURBUG.

Word 2012 supports ODF v. 1.2, and there is no corruption warning in Word 2012 when opening .odt file with footnote.
Comment 9 Timur 2013-06-26 10:58:37 UTC
Correction: Word 2013 supports ODF v. 1.2, and there is no corruption warning with Word 2013 in Windows when opening .odt file with footnote.